GET studies Id

GET
/studies/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

Paste your JWT token here

Path Parameters

id*integer

The unique identifier of the study to retrieve.

Formatint32

Response Body

OK

application/json
  1. response

Represents a study program. A Study has a unique identifier, a title, a nominal duration in years, and a type (e.g., Bachelor, Master). Each Study can have multiple enrollments associated with it through the StudyEnrollment entity. This entity is used to manage and organize different study programs within the system, allowing for better tracking of student enrollments and academic programs offered by the organization.

id?integer

The unique identifier of a study, assigned incrementally.

Formatint32
title*string

The title of the study.

Length0 <= length <= 100
nominalDurationYears?integer

The default duration of the study in years.

Formatint32
type?StudyType

Defines the type of a Study.

Formatint32
Value in"Bachelor""Master"
active?boolean

Status of the study. Inactive studies are hidden from the public registration form, but are preserved in the database for historical records and statistics.

enrollments?array<>

The enrollments associated with this study.

curl -X GET 'https://example.com/studies/0'
{  "id": 0,  "title": "string",  "nominalDurationYears": 0,  "type": "Bachelor",  "active": true,  "enrollments": [    {      "id": 0,      "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",      "member": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "authSystemUserId": "21acf037-4cf7-4197-964d-bb28bd02794e",        "calendarId": "9869a533-1db4-43d9-aed3-3d63324120f5",        "activationEmailSentAt": "2019-08-24T14:15:22Z",        "studyStatusMailSentAt": "2019-08-24T14:15:22Z",        "outstandingPaymentMailSentAt": "2019-08-24T14:15:22Z",        "studentNumber": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "phoneNumber": "string",        "parentPhoneNumber": "string",        "street": "string",        "houseNumber": "string",        "postalCode": "string",        "city": "string",        "dateOfBirth": "2019-08-24T14:15:22Z",        "notes": "string",        "registeredOn": "2019-08-24T14:15:22Z",        "studyEnrollments": [          {}        ],        "enrollments": [          {            "activityId": 0,            "activity": {              "id": 0,              "name": "string",              "price": 0.1,              "posterFileName": "string",              "posterPath": "string",              "dutchDescription": "string",              "englishDescription": "string",              "dateTimeStart": "2019-08-24T14:15:22Z",              "dateTimeEnd": "2019-08-24T14:15:22Z",              "unenrollmentDeadline": "2019-08-24T14:15:22Z",              "enrollmentDeadline": "2019-08-24T14:15:22Z",              "enrollOpenDate": "2019-08-24T14:15:22Z",              "location": "string",              "participantLimit": 0,              "organizerId": 0,              "organizer": {                "id": 0,                "name": "string",                "active": true,                "groupMemberships": [                  {                    "id": 0,                    "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",                    "member": {},                    "groupId": 0,                    "group": {},                    "membershipYear": 0,                    "roleAliasId": 0,                    "roleAlias": {                      "id": 0,                      "roleId": 0,                      "role": {                        "id": 0,                        "name": "string"                      },                      "name": "string"                    }                  }                ],                "type": "Committee",                "defaultGLAccount": "string",                "defaultCostCenter": "string",                "defaultCostUnit": "string",                "groupPicturePath": "string",                "groupPictureFileName": "string"              },              "specificationQuestions": [                {                  "id": 0,                  "activityId": 0,                  "questionDutch": "string",                  "questionEnglish": "string",                  "type": "String",                  "isMandatory": true,                  "isPublic": true,                  "activity": {},                  "answers": [                    {                      "id": 0,                      "specificationQuestionId": 0,                      "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",                      "member": {},                      "answer": "string",                      "question": {},                      "enrollment": {}                    }                  ],                  "options": "string",                  "closeOnUnenrollmentDeadline": true                }              ],              "showInKoala": true,              "showOnWebsite": true,              "isEnrollable": true,              "areParticipantsVisible": true,              "isAdultOnly": true,              "isWeeklyDrinks": true,              "allowedAudience": "None",              "isOpenForPayment": true,              "vatRate": 0,              "enrollments": [                {}              ],              "glAccountId": "string",              "costCenterId": "string",              "costUnitId": "string",              "paymentDeadline": "2019-08-24T14:15:22Z"            },            "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",            "member": {},            "price": 0.1,            "specificationAnswers": [              {                "id": 0,                "specificationQuestionId": 0,                "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",                "member": {},                "answer": "string",                "question": {                  "id": 0,                  "activityId": 0,                  "questionDutch": "string",                  "questionEnglish": "string",                  "type": "String",                  "isMandatory": true,                  "isPublic": true,                  "activity": {                    "id": 0,                    "name": "string",                    "price": 0.1,                    "posterFileName": "string",                    "posterPath": "string",                    "dutchDescription": "string",                    "englishDescription": "string",                    "dateTimeStart": "2019-08-24T14:15:22Z",                    "dateTimeEnd": "2019-08-24T14:15:22Z",                    "unenrollmentDeadline": "2019-08-24T14:15:22Z",                    "enrollmentDeadline": "2019-08-24T14:15:22Z",                    "enrollOpenDate": "2019-08-24T14:15:22Z",                    "location": "string",                    "participantLimit": 0,                    "organizerId": 0,                    "organizer": {                      "id": 0,                      "name": "string",                      "active": true,                      "groupMemberships": [                        {                          "id": 0,                          "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",                          "member": {},                          "groupId": 0,                          "group": {},                          "membershipYear": 0,                          "roleAliasId": 0,                          "roleAlias": {                            "id": 0,                            "roleId": 0,                            "role": {},                            "name": "string"                          }                        }                      ],                      "type": "Committee",                      "defaultGLAccount": "string",                      "defaultCostCenter": "string",                      "defaultCostUnit": "string",                      "groupPicturePath": "string",                      "groupPictureFileName": "string"                    },                    "specificationQuestions": [                      {}                    ],                    "showInKoala": true,                    "showOnWebsite": true,                    "isEnrollable": true,                    "areParticipantsVisible": true,                    "isAdultOnly": true,                    "isWeeklyDrinks": true,                    "allowedAudience": "None",                    "isOpenForPayment": true,                    "vatRate": 0,                    "enrollments": [                      {}                    ],                    "glAccountId": "string",                    "costCenterId": "string",                    "costUnitId": "string",                    "paymentDeadline": "2019-08-24T14:15:22Z"                  },                  "answers": [                    {}                  ],                  "options": "string",                  "closeOnUnenrollmentDeadline": true                },                "enrollment": {}              }            ],            "registeredOn": "2019-08-24T14:15:22Z",            "isOnWaitingList": true          }        ],        "groupMemberships": [          {            "id": 0,            "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",            "member": {},            "groupId": 0,            "group": {              "id": 0,              "name": "string",              "active": true,              "groupMemberships": [                {}              ],              "type": "Committee",              "defaultGLAccount": "string",              "defaultCostCenter": "string",              "defaultCostUnit": "string",              "groupPicturePath": "string",              "groupPictureFileName": "string"            },            "membershipYear": 0,            "roleAliasId": 0,            "roleAlias": {              "id": 0,              "roleId": 0,              "role": {                "id": 0,                "name": "string"              },              "name": "string"            }          }        ],        "preferredLanguage": "NL",        "gratie": true,        "lidVanVerdienste": true,        "ereLid": true,        "begunstiger": true,        "suspended": true,        "isDeleted": true,        "announcements": [          {            "id": 0,            "titleDutch": "string",            "titleEnglish": "string",            "contentDutch": "string",            "contentEnglish": "string",            "createdAt": "2019-08-24T14:15:22Z",            "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",            "createdBy": {}          }        ],        "profilePicturePath": "string",        "profilePictureFileName": "string"      },      "studyId": 0,      "study": {},      "enrollmentDate": "2019-08-24T14:15:22Z",      "completionDate": "2019-08-24T14:15:22Z",      "status": "Enrolled"    }  ]}